Download it now!
Bug 48917 - i18n: add language
Summary: i18n: add language
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-19 03:07 UTC by rueter.jack
Modified: 2012-04-25 11:06 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rueter.jack 2012-04-19 03:07:00 UTC
I would like the following languages added to the next release:
Erzya in Russia [myv-RU]
Komi Zyrian in Russia [kpv-RU]
Meadow Mari in Russia [mhr-RU]

At present I am working on the devlopment of HFST-VOIKKO-enabled spell checkers for the Erzya and Komi Zyrian languages in the http://giellatekno.uit.no infrastructure.

I am receiving funding for this development from the "Kone" Foundation in Helsinki.
http://www.koneensaatio.fi

By summer 2012 the Meadow Mari will also be testing.

These three languages are forerunners of further spell-checker development in the minority Finno-Ugrian languages of Russia.

Yours truly,
Jack Rueter, PhD.
Comment 1 Eike Rathke 2012-04-19 09:25:55 UTC
Komi-Zyrian [kpv-RU] is already in, check the character attribution language list.
I'll do myv-RU and mhr-RU.

Btw, great to hear you receive funding for your development.
Comment 2 Not Assigned 2012-04-19 10:18:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46f64f062319aff17e97ce7af9825a352b01d4e4

fdo#48917 added Eryza [myv-RU] and Meadow Mari [mhr-RU] to language list
Comment 3 rueter.jack 2012-04-21 01:55:44 UTC
(In reply to comment #2)
> Eike Rathke committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/?id=46f64f062319aff17e97ce7af9825a352b01d4e4
> 
> fdo#48917 added Eryza [myv-RU] and Meadow Mari [mhr-RU] to language list

Thank you for adding the myv_RU.

There is a tiny change to make, however. The spelling of the language name needs correcting to:

E R Z Y A

Thanks, again.
Comment 4 Eike Rathke 2012-04-25 11:06:28 UTC
(In reply to comment #3)
> There is a tiny change to make, however. The spelling of the language name
> needs correcting to:
> 
> E R Z Y A

Yeah, noticed, thanks. Fixed with
http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5d1f72f0c8c07736ba675c807698bed0e0c4d28